> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get balance information for a specific Cardano payment credential including ADA and native assets.

# Balance by payment credential



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /addresses/cred/{credential}/balance
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/cred/{credential}/balance:
    get:
      tags:
        - Addresses
      summary: Balance by payment credential
      description: >-
        Return total amount of assets, including ADA, in UTxOs controlled by a
        specific payment credential
      operationId: balance_by_payment_cred
      parameters:
        - name: credential
          in: path
          description: Payment credential in bech32 format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Lovelace and native asset balance of payment credential
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance'
              example:
                data:
                  lovelace: '73408487'
                  assets:
                    29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6:
                      4d494e74: '27833420567'
                      4d494e: '6958355141'
                    2afb448ef716bfbed1dcb676102194c3009bee5399e93b90def9db6a:
                      4249534f4e: '5000000'
                last_updated:
                  timestamp: '2023-12-11 21:36:35'
                  block_hash: >-
                    58df3617b77c9b8da958c118c3daf9cabae86e31aca761fe9bb8d57b40fe14be
                  block_slot: 110764304
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    Balance:
      type: object
      description: Payment credential, the payment part of a Cardano address
      required:
        - lovelace
        - assets
      properties:
        assets:
          type: object
          description: >-
            Total amount of different native assets in controlled UTxOs, as a
            map of minting policy to asset names to amounts
          additionalProperties:
            type: object
            additionalProperties:
              type: string
        lovelace:
          type: string
          description: Total amount of lovelace in controlled UTxOs
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````